﻿using System.IO;
using System.Windows.Media.Imaging;

namespace TestProject
{
    /// <summary>
    /// 쓰기 가능 비트맵 확장
    /// </summary>
    public static class WriteableBitmapExtention
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 저장하기 - Save(bitmap, filePath)

        /// <summary>
        /// 저장하기
        /// </summary>
        /// <param name="bitmap">비트맵</param>
        /// <param name="filePath">파일 경로</param>
        public static void Save(this WriteableBitmap bitmap, string filePath)
        {
            using(FileStream stream = new FileStream(filePath, FileMode.Create))
            {
                PngBitmapEncoder encoder = new PngBitmapEncoder();

                encoder.Frames.Add(BitmapFrame.Create(bitmap));

                encoder.Save(stream);
            }
        }

        #endregion
    }
}